Summary: PAM module for LDAP.
Name: pam_ldap
Version: 164
Release: 3tr
Source0: ftp://ftp.padl.com/pub/%{name}-%{version}.tar.gz
Source1: ldap.conf
URL: http://www.padl.com/
License: LGPL
Group: System/Administration
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: openldap-devel
Requires: openldap cyrus-sasl openssl ldapclients-common
Obsoletes: pam_ldap

%description
This package includes a LDAP access clients: pam_ldap.

Pam_ldap is a module for Linux-PAM that supports password changes, V2/V3
clients, Netscapes SSL/OpenSSL, ypldapd, Netscape Directory Server password
policies, access authorization, crypted hashes, etc.

Install nss_ldap if you need LDAP access clients.

%package -n ldapclients-common
Summary: ldap.conf config file for LDAP modules.
Group: System/Administration

%description -n ldapclients-common
This package provides the files needed by both pam_ldap og nss_ldap.


%prep
%setup -q -a 0

%build
./configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,lib/security}

install -m 755 pam_ldap.so \
	       $RPM_BUILD_ROOT/lib/security/

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/ldap.conf

chmod 755 $RPM_BUILD_ROOT/lib/security/*.so*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0755,root,root) /lib/security/*.so*
%doc AUTHORS NEWS COPYING COPYING.LIB README ChangeLog pam.d

%files -n ldapclients-common
%defattr(0644,root,root)
%config(noreplace) /etc/ldap.conf

%changelog
* Fri Aug  1 2003 Erlend Midttun <erlendbm at trustix dot com> 164-3tr
- Changed description to something sane.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 164-2tr
- Big rebuild

* Tue Jun 17 2003 Chr. Toldnes <christht at trustix dot org> 164-1ct
- split ldap.conf into separate package.
- Removed all but one CL-entry
- based on work by Joe Little

* Mon Jan 08 2001 Joe Little <jlittle at open-it dot org>
- first PAM_LDAP specific RPM, stolen from the previously maintained nss_ldap
